VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Quadratic Equation Solver"
   ClientHeight    =   2880
   ClientLeft      =   150
   ClientTop       =   540
   ClientWidth     =   5385
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2880
   ScaleWidth      =   5385
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame2 
      Caption         =   "Solution"
      Height          =   1665
      Left            =   1560
      TabIndex        =   11
      ToolTipText     =   "Insert Variables form the Quadratic Equation"
      Top             =   600
      Width           =   3735
      Begin VB.ListBox List1 
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   1320
         ItemData        =   "frmMain.frx":000C
         Left            =   120
         List            =   "frmMain.frx":000E
         TabIndex        =   12
         TabStop         =   0   'False
         Top             =   240
         Width           =   3495
      End
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Clear"
      Height          =   300
      Left            =   2760
      TabIndex        =   5
      ToolTipText     =   "Click to Erase Variables and Solution"
      Top             =   2385
      Width           =   1485
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Solve"
      Enabled         =   0   'False
      Height          =   300
      Left            =   120
      TabIndex        =   4
      ToolTipText     =   "Click to Solve the Quadratic Equation"
      Top             =   2400
      Width           =   1335
   End
   Begin VB.Frame Frame1 
      Caption         =   "Variables"
      Height          =   1425
      Left            =   120
      TabIndex        =   6
      ToolTipText     =   "Insert Variables form the Quadratic Equation"
      Top             =   840
      Width           =   1335
      Begin VB.TextBox txt 
         Height          =   285
         Index           =   3
         Left            =   360
         TabIndex        =   3
         Top             =   960
         Width           =   735
      End
      Begin VB.TextBox txt 
         Height          =   285
         Index           =   2
         Left            =   360
         TabIndex        =   2
         Top             =   600
         Width           =   735
      End
      Begin VB.TextBox txt 
         Height          =   285
         Index           =   1
         Left            =   360
         TabIndex        =   1
         Top             =   240
         Width           =   735
      End
      Begin VB.Label Label1 
         Caption         =   "b"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   9
         Top             =   600
         Width           =   135
      End
      Begin VB.Label Label1 
         Caption         =   "c"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   8
         Top             =   960
         Width           =   135
      End
      Begin VB.Label Label1 
         Caption         =   "a"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   7
         Top             =   240
         Width           =   135
      End
   End
   Begin VB.Timer Timer1 
      Interval        =   500
      Left            =   0
      Top             =   0
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      BorderStyle     =   1  'Fixed Single
      Caption         =   "ax+bx+c=y"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   0
      ToolTipText     =   "Standard Quadratic Equation"
      Top             =   240
      Width           =   1335
   End
   Begin VB.Label Label3 
      BorderStyle     =   1  'Fixed Single
      Caption         =   " Insert Variables"
      Height          =   255
      Left            =   1560
      TabIndex        =   10
      ToolTipText     =   "Standard Quadratic Equation"
      Top             =   240
      Width           =   3735
   End
   Begin VB.Menu File 
      Caption         =   "File"
      Begin VB.Menu Exit 
         Caption         =   "Exit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu Help 
      Caption         =   "Help"
      Begin VB.Menu About 
         Caption         =   "About"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim var As String
Dim a As Long, b As Long, c As Long
Dim roottype As String

Private Sub About_Click()
MsgBox "Quadratic Equation Solver v1.0" & vbNewLine & "by Kwame", vbOKOnly, "Quadratic Equation Solver"
End Sub

Private Sub Command1_Click()
On Error GoTo Error
Select Case txt(1).Text

Case "":
    MsgBox "No Number is Assigned to Variable 'a'" & vbNewLine & "'a' will Equal +1", vbInformation, "Quadratic Equation Solver"
    txt(1).Text = 1

Case 0:
    MsgBox "Variable 'a' Cannot Equal 0", vbCritical, "Quadratic Equation Solver"
    txt(1).SetFocus
    Exit Sub
    
End Select

a = txt(1).Text
b = txt(2).Text
c = txt(3).Text

Label3.Caption = GetQuadraticEquation(a, b, c)

List1.Clear
List1.AddItem "Equation: " & GetQuadraticEquation(a, b, c)
List1.AddItem "Roots' Nature: " & GetNatureofRoots(a, b, c) & "  [" & discrim & "]"

roottype = GetRoots(a, b, c)
If roottype = "Imaginery" Then
List1.AddItem "Roots: [None]"
GoTo Skip
End If

If roottype = "Equal" Then
List1.AddItem "Roots: x= " & root1
Else:
List1.AddItem "Roots: x= " & root1 & " and x= " & root2
End If

Skip:
List1.AddItem "Axis of Symmetry: " & "x= " & GetAxisofSymmetry(a, b)

Call GetTurningPoint(a, b, c)
List1.AddItem "Turning Point: (" & xaxis & ", " & yaxis & ")"

Exit Sub
Error:
If Err.Number = 13 Then
MsgBox "Error " & Err.Number & ": " & Err.Description & vbNewLine & "Check Variables, They Must Be Real Numbers", vbCritical, "Quadratic Equation Solver"
Else:
MsgBox "Error " & Err.Number & ": " & Err.Description, vbCritical, "Quadratic Equation Solver"
End If
End Sub

Private Sub Command2_Click()
txt(1).Text = ""
txt(2).Text = ""
txt(3).Text = ""
List1.Clear
End Sub

Private Sub Exit_Click()
Unload Me
End
End Sub

Private Sub List1_Click()
If List1 = "" Then
Else
Label3.Caption = List1
End If
End Sub

Private Sub Timer1_Timer()
If txt(2).Text = "" And txt(3).Text = "" Then
If Label3.Caption = " Insert Variables" Then
Label3.Caption = " Insert Variables_"
Else
Label3.Caption = " Insert Variables"
End If
Command1.Enabled = False
Exit Sub
End If

If txt(2).Text = "" Or txt(3).Text = "" Then
Command1.Enabled = False
Else
Command1.Enabled = True
End If
End Sub

Private Sub txt_Change(Index As Integer)
Select Case Index
Case 1: var = " a"
Case 2: var = " b"
Case 3: var = " c"
End Select
Label3.Caption = var & " = " & txt(Index).Text
End Sub

Private Sub txt_GotFocus(Index As Integer)
txt(Index).SelStart = 0
txt(Index).SelLength = Len(txt(Index).Text)
End Sub
