Attribute VB_Name = "mod1"
Option Explicit

Global root1 As String * 7, root2 As String * 7
Global discrim As Long
Global xaxis As Long, yaxis As Long

Public Function GetQuadraticEquation(a As Long, b As Long, c As Long) As String
GetQuadraticEquation = a & "x +" & b & "x+" & c & "=y"
End Function

Public Function GetAxisofSymmetry(a As Long, b As Long) As Long
Dim num As String * 7

num = (-b) / (2 * a)
GetAxisofSymmetry = num
End Function

Public Function GetNatureofRoots(a As Long, b As Long, c As Long) As String

discrim = ((b ^ 2) - 4 * a * c)

Select Case discrim
    Case 0:
        GetNatureofRoots = "Real, Rational, and Equal"
    Case Is < 0:
        GetNatureofRoots = "Imaginery"
    Case Is > 0:
        If InStr(Sqr(discrim), ".") = 0 Then
            GetNatureofRoots = "Real, Rational, and Unequal"
        Else
            GetNatureofRoots = "Real, Irrational, and Unequal"
        End If
End Select

End Function

Public Function GetRoots(a As Long, b As Long, c As Long)
Call GetNatureofRoots(a, b, c)

If discrim < 0 Then
GetRoots = "Imaginery"
Exit Function
End If

'root1 +
root1 = ((-b + Sqr(b ^ 2 - 4 * a * c)) / (2 * a))

'root2 -
root2 = ((-b - Sqr(b ^ 2 - 4 * a * c)) / (2 * a))

If discrim = 0 Then
    GetRoots = "Equal"
End If

End Function

Public Function GetTurningPoint(a As Long, b As Long, c As Long)
xaxis = ((-b) / (2 * a))
yaxis = ((a * xaxis ^ 2) + (b * xaxis) + c)
End Function
